# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# band_vlc.h File Reference

`#include <libdirac_common/wavelet_utils.h>`
`#include <libdirac_common/band_codec.h>`

Go to the source code of this file.

## Classes

- class dirac::ArithCodecToVLCAdapter
- class dirac::IntraDCBandVLC
    A class specially for coding the DC subband of Intra frames. More...

## Namespaces

- namespace dirac

    Definition of class SequenceHeaderByteIO.

## Typedefs

- typedef GenericBandCodec
  < ArithCodecToVLCAdapter > dirac::BandVLC
    A general class for coding and decoding wavelet subband data using variable length coding.

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.